<?php
// Dynamically construct full URL and extract query parameters
$urlComponents = parse_url("http://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
$queryParams = [];
parse_str($urlComponents['query'] ?? '', $queryParams);

// Remove specific parameter and rebuild query string
unset($queryParams['referral']);
$newQueryString = http_build_query($queryParams);

// Determine the redirect path based on the 'game' query parameter
$game = strtolower($queryParams['game'] ?? 'home');
$availablePaths = [
    'home' => 'home',
    'casino' => 'live',
    'slot' => 'slot',
    'indigames' => 'indigames',
    'sports' => 'sports',
    'footballbook' => 'footballbook'
];
$path = $availablePaths[$game] ?? 'home';

// Check logged in status and redirect if necessary
if (!empty($_COOKIE['loggedIn']) && $_COOKIE['loggedIn'] == 1) {
    header("Location: https://www.indibet.in/$path?$newQueryString");
    exit;
}
?>
<!DOCTYPE html><html lang="en"><head>
      <title>Indibet</title>
          <script>
        
            // Dynamically construct full URL and extract query parameters
            const urlParams = new URLSearchParams(window.location.search);

            // Remove specific parameter
            urlParams.delete('referral');

            // Determine the redirect path based on the 'game' query parameter
            const game = urlParams.get('game')?.toLowerCase() || 'home';
            const availablePaths = {
                'home': 'home',
                'casino': 'live',
                'slot': 'slot',
                'indigames': 'indigames',
                'sports': 'sports',
                'footballbook': 'footballbook'
            };
            const path = availablePaths[game] || 'home';

            // Rebuild query string
            const newQueryString = urlParams.toString();

            // Check logged in status and redirect if necessary
            const loggedInStatus = localStorage.getItem('loggedIn');
            if (loggedInStatus === '1') {
                window.location.href = `https://www.indibet.in/${path}?${newQueryString}`;
            }
   
    </script>
      <link rel="icon" type="image/x-icon" href="images/indifavicon.webp">
      
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="preload" href="banner-main-mob.webp" as="image" importance="high">

      <link rel="stylesheet" href="css/style.min.css">
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.3/css/bootstrap.min.css" integrity="sha512-jnSuA4Ss2PkkikSOLtYs8BlYIeeIK1h99ty4YfvRPAlzr377vr3CXDb7sb7eEEBYjDtcYj+AjBH3FLv5uSJuXg==" crossorigin="anonymous" referrerpolicy="no-referrer" deffer/>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.slim.js" integrity="sha512-docBEeq28CCaXCXN7cINkyQs0pRszdQsVBFWUd+pLNlEk3LDlSDDtN7i1H+nTB8tshJPQHS0yu0GW9YGFd/CRg==" crossorigin="anonymous" referrerpolicy="no-referrer" deffer></script>
          <!-- <script src="js/popper.min.js"></script> -->
      <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.3/js/bootstrap.bundle.min.js" integrity="sha512-7Pi/otdlbbCR+LnW+F7PwFcSDJOuUJB3OxtEHbg4vSMvzvJjde4Po1v4BR9Gdc9aXNUNFVUY+SK51wWT8WF0Gg==" crossorigin="anonymous" referrerpolicy="no-referrer" deffer></script>
      <link rel="stylesheet" type="text/css" href="css/toastify.min.css" deffer>
      <link rel="preconnect" href="https://fonts.googleapis.com">
      <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin="">
      <link href="https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&amp;display=swap" rel="stylesheet" deffer>
		<!-- Google Tag Manager -->
		<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
		new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
		j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
		'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
		})(window,document,'script','dataLayer','GTM-W9FT9GB');</script>
		<!-- End Google Tag Manager -->
   </head>
   <body>
      <nav class="main-header">
         <a class="navbar-brand" href="#">
         <img src="images/Logo.webp">
         </a>
         <div class="navbar-text">
            <!-- <h5 class="header-ticker-text text-uppercase">Rajesh just won <span style="color:#1a77f2">₹10,000</span> on avaitor</h5> -->
         </div>
      </nav>
      <section class="main-banner-mob mob-view">
         <div class="container-fluid">
            <div class="row">
               <div class="col-md-12 pad-0">
                  <div class="">
                     <img width="100%" height="100%" src="banner-main-mob.webp">
                  </div>
               </div>
            </div>
         </div>
      </section>
      <section class="main-banner" id="form-section">
      
         <div class="container-fluid banner-main-content">
            <div class="row">
               <div class="col-md-8">
                  <div class="banner-img-contain text-center">
  <picture>
    <!-- Desktop image -->
    <source media="(min-width: 992px)" srcset="Banner-main.webp">
    <!-- Placeholder for mobile, if you don't want to load anything use a tiny 1x1 transparent GIF -->
    <source media="(max-width: 1px)" srcset="images/blank.gif">
    <!-- Fallback image - generally used for browsers that do not support <picture> -->
    <img src="Banner-main.webp" alt="Main Banner" width="90%" height="100%" loading="lazy">
  </picture>
</div>

               </div>
               <div class="col-md-4">
                  <div class="banner-form">
                     <form>
                        <div class="form-box">
                           <h6 class="form-heading text-uppercase">Win Real Cash with IPL</h6>
                           <div class="form-group">
                              <label for="mobile">Mobile Number<span style="color: red;">*</span></label>
                              <input type="number" class="" id="mobile" placeholder="Enter mobile" name="mobile" required="">
                              <p class="form-validation-message">Enter valid phone number</p>
                           </div>
			                  <div class="form-group">
                              <label for="pwd">Password</label>
                              <input type="password" class="" id="password" placeholder="Enter Password" name="pwd">
                              <p class="form-validation-message">Enter the correct password</p>
                           </div>
                           <div class="form-group">
                              <label for="otp">OTP<span style="color: red;">*</span></label>
                              <div class="form-otp-group">
                                 <input type="number" class="" id="code" placeholder="Enter OTP" name="otp">
                                 <button class=" btn btn-primary otp-btn" id="getcode-btn">GET OTP</button>
                              </div>
                              <p class="form-validation-message">Enter valid OTP</p>
                           </div>
                           
                           <button type="submit" class="btn btn-primary register-btn" id="indi-submit">Sign Up Now!</button>
                           <div class="divider"><span>OR</span></div>
                           <p class="text-center before-login-text">Already have an account?<a href="https://www.indibet.in/home" class="login-link" id="loginlink"> Login</a></p>
                        </div>
                     </form>
                  </div>
                  <span class="errmsg" id="errmsg" style="color: red; display:none!important"></span>
               </div>
            </div>
         </div>
      </section>
      <!--featured section  -->
     <section class="featured-section desk-view">
       <div class="featured-sec-content">
         <img src="images/KPI.webp">

       </div>
     </section>
     <section class="featured-section-mob mob-view">
       <div class="featured-sec-content">
         <img src="images/KPI-mob.webp">

       </div>
     </section>
      <!-- featured section end -->
     <!-- slogan section -->
     <section class="slogan-section">
        <div class="container-fluid">
           <div class="row">
              <div class="col-md-12 text-center">
                 <h6 class="slogan-heading">Where Predictions Meet Rewards!</h6>
                 <p class="slogna-text">
                    Step into the electrifying arena of Indibet,India's ultimate destination for cricket and casino enthusiasts.<br>
Get ready to be greeted with the most exciting Welcome Offer in the world of online gaming!
                 </p>
                 <p>Make your first addition and unlock a staggering <strong>7X Welcome Bonus</strong> of upto <strong>INR 1,50,000*!</strong></p>
              </div>
           </div>
        </div>
     </section>
     <!-- slogan section end -->
<section class="footer-section">
   <div class="container-fluid">
      <div class="row">
         <div class="col-md-6 text-center">
            <h3 class="footer-sec-heading">Payment partners</h3>
            <ul class="payment-icon-list">
               <li><div class="payment-icon-box"><img src="images/gpay.webp"></div></li>
               <li><div class="payment-icon-box"><img src="images/upi.webp"></div></li>
               <li><div class="payment-icon-box"><img src="images/paytm.webp"></div></li>
               <li><div class="payment-icon-box"><img src="images/skrill.webp"></div></li>
               <li><div class="payment-icon-box"><img src="images/netseller.webp"></div></li>
               <li><div class="payment-icon-box"><img src="images/astro.webp"></div></li>
               <li><div class="payment-icon-box"><img src="images/bitcoin.webp"></div></li>
            </ul>
         </div>
         <div class="col-md-6 text-center">
            <h3 class="footer-sec-heading">Social Media</h3>
            <ul class="social-icon-list">
               <li><div class="social-icon-box"><a href="https://www.indibet.in/home"><img src="images/insta-icon.webp"></a></div></li>
               <li><div class="social-icon-box"><a href="https://www.indibet.in/home"><img src="images/facebook-icon.webp"></a></div></li>
               <li><div class="social-icon-box"><a href="https://www.indibet.in/home"><img src="images/twitternew.webp"></a></div></li>
            </ul>
            <ul class="footer-links">
               <li><a href="#">Privacy Policy</a></li>
            </ul>
         </div>
      </div>
   </div>
</section>
<div class="container-fluid signup-btn-box mob-view">
   <div class="row">
      <div class="col-md-12">
         <a href="#form-section">Signup Now</a>
      </div>
   </div>
</div>
<!-- <div class="signup-btn-box mob-view">
   <button>Signup Now</button>
</div> -->
<script src="js/axios.min.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/toastify-js"></script>
<script type="text/javascript">
        document.addEventListener("DOMContentLoaded", function() {
            function setPermanentCookie(name, value, years) {
                var expires = "";
                if (years) {
                    var date = new Date();
                    date.setTime(date.getTime() + (years * 365 * 24 * 60 * 60 * 1000));
                    expires = "; expires=" + date.toUTCString();
                }
                document.cookie = name + "=" + (value || "") + expires + "; path=/; Secure"; // Assuming https only
            }

            const getButton = document.getElementById("getcode-btn");
            const submitButton = document.getElementById("indi-submit");

            function toast(message, duration = 3000, background = "linear-gradient(to right, #ff5f6d, #ffc371)") {
                Toastify({ text: message, stopOnFocus: true, position: "center", style: { background }, duration }).showToast();
            }

            function axiosPost(url, data) {
                axios.post(url, data).then(response => {
                    if (response.data.status === 500) {
                        toast(response.data.message);
                    } else if (response.data.status === 200) {
                        toast("OTP Sent Successfully!", 3500, "linear-gradient(to right, #00b09b, #96c93d)");
                        let countdown = 59;
                        getButton.disabled = true;
                        getButton.style.backgroundColor = "#ccc";
                        getButton.textContent = `Please wait ${countdown} seconds`;
                        const intervalId = setInterval(() => {
                            countdown -= 1;
                            getButton.textContent = `Please wait ${countdown} seconds`;
                            if (countdown === 0) {
                                clearInterval(intervalId);
                                getButton.disabled = false;
                                getButton.style.backgroundColor = "";
                                getButton.textContent = "GET OTP";
                            }
                        }, 1000);
                    }
                }).catch(error => {
                    console.error("Error:", error);
                    toast("An error occurred. Please try again later.");
                });
            }

            getButton.addEventListener("click", function(e) {
                e.preventDefault();
                let mobile = document.getElementById("mobile").value;
                let password = document.getElementById("password").value;
                let errors = [];
                if (!mobile) errors.push("Mobile field is required!");
                if (!password) errors.push("Please enter a password!");
                if (errors.length > 0) { toast(errors[0]); return; }
                axiosPost(`https://www.indibet.in/frontend/api/register/landing?region=India&mobile=${mobile}&currencyCode=INR&name=${randomString() + "-123"}&password=${password}`);
            });

            const urlParams = new URLSearchParams(window.location.search);

            function randomString() {
                const characters = 'abcdefghijklmnopqrstuvwxyz123456789';
                let result = '';
                for (let i = 0; i < 6; i++) {
                    result += characters[Math.floor(Math.random() * characters.length)];
                }
                return result;
            }

            submitButton.addEventListener("click", function(e) {
                e.preventDefault();
                let mobile = document.getElementById("mobile").value;
                let password = document.getElementById("password").value;
                let code = document.getElementById("code").value;
                let errors = [];
                if (!mobile) errors.push("Mobile field is required!");
                if (!password) errors.push("Please enter a password!");
                if (!code) errors.push("Please enter OTP code");
                if (errors.length > 0) { toast(errors[0]); return; }
                const referral = urlParams.get('referral') || 'LPWITHNOREFF';
                axios.post(`https://www.indibet.in/frontend/api/register/landing?region=India&mobile=${mobile}&currencyCode=INR&name=${randomString() + "i"}&password=${password}&referral=${referral}&smsCode=${code}`)
                    .then(function(response) {
                        // handle success
                        // console.log(response);
                        if (response.data.status == 500) {
                            let errmsg = document.getElementById('errmsg');
                            errmsg.innerHTML = response.data.message;
                            Toastify({
                                text: response.data.message,
                                stopOnFocus: true,
                                position: "center",
                                style: {
                                    background: "linear-gradient(to right, #ff5f6d, #ffc371)",
                                },
                                duration: 3000
                            }).showToast();
                            return;
                        }
                        localStorage.setItem("loggedIn", 1);
                        setPermanentCookie("loggedIn", 1, 10);
                        urlParams.delete('referral');
                        const queryParamsString = urlParams.toString();
                        // Determine the redirect path based on the 'game' query parameter
                        const game = urlParams.get('game')?.toLowerCase() || 'home';
                        const availablePaths = {
                            'home': 'home',
                            'casino': 'live',
                            'slot': 'slot',
                            'indigames': 'indigames',
                            'sports': 'sports',
                            'footballbook': 'footballbook'
                        };
                        const path = availablePaths[game] || 'home';

                        window.location.href = `https://www.indibet.in/casino/frontend/api/member/autoLoginRedirect?autoLoginToken=${response.data.data.autoLoginToken}&path=/${path}&${queryParamsString}`;
                    })
                    .catch(function(error) {
                        // handle error
                        console.log(error);
                    });
            });

            const loginLink = document.getElementById('loginlink');

            loginLink.addEventListener('click', function(e) {
                e.preventDefault();
                // Increment visit count
                const visits = incrementVisitCount();

                // Set cookies and local storage only if this is exactly the second visit
                if (visits === 2) {
                    // Set 'loggedIn' status in localStorage
                    localStorage.setItem("loggedIn", 1);

                    // Set 'loggedIn' cookie for 10 years
                    setPermanentCookie("loggedIn", 1, 10);

                    // Log or further actions can be performed here if needed
                    console.log("Logged in status set on second visit.");
                }
                window.location.href = this.href;
            });

            function incrementVisitCount() {
                let visits = parseInt(localStorage.getItem('visitCount') || '0', 10);
                visits++;
                localStorage.setItem('visitCount', visits.toString());
                return visits; // Return the current visit count
            }
        });
    </script>
	  <!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-W9FT9GB"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) --> 
   
 

</body></html>